import fetch from '@/utils/fetch'

/**
 * 【增】 - 新建直播
 * @param {Object} data
 * @returns
 */
export const addLiveAPI = (data) => {
  return fetch({ url: 'live-teaching', method: 'post', data })
}

/**
 * 【查】 - 获取直播列表
 * @param {number} page 页码
 * @param {number} pageSize 页面大小
 * @returns
 */
export const getLiveListAPI = (params) => {
  return fetch({ url: 'live-teaching', method: 'get', params })
}
/**
 * 【查】 - 获取某直播详情
 * @param {number} id 页码
 * @returns
 */
export const getLiveInfoAPI = (id) => {
  return fetch({ url: 'live-teaching/' + id, method: 'get' })
}

/**
 * 【查】 - 直播时获取某直播详情
 * @param {number} id 页码
 * @returns
 */
export const getLivePublishInfoAPI = (id) => {
  return fetch({ url: 'live-teaching/live-publish/' + id, method: 'get' })
}

/**
 * 【查】 - 搜索直播列表
 * @param {number} page 页码
 * @param {number} pageSize 页面大小
 * @param {string} value 搜索内容
 * @returns
 */
export const searchLiveListAPI = (data) => {
  return fetch({ url: 'live-teaching/search', method: 'post', data })
}

/**
 * 【删】 - 删除直播
 * @param {[number]} id
 * @returns
 */
export const deleteLiveAPI = (id) => {
  return fetch({ url: 'live-teaching/' + id.join(','), method: 'delete' })
}

/**
 * 【改】 - 编辑直播信息
 * @param {object} data
 * @param {number} id
 * @returns
 */
export const editorLiveAPI = (data) => {
  return fetch({ url: 'live-teaching', method: 'patch', data })
}

/**
 * 【改】 - 更新直播部分信息
 * @param {object} data
 * @param {number} data.id
 * @returns
 */
export const updateLiveInfoAPI = (data) => {
  return fetch({ url: 'live-teaching/update', method: 'post', data })
}
